cordova.define("Umeng.Umeng", function(require, exports, module) {
/*
 * Javascript interface of Cordova plugin for Umeng Analytics SDK
 */
var Umeng = {
  /**
   * 自定义事件数量统计
   *
   * @param eventId
   *            String类型.事件ID，注意需要先在友盟网站注册此ID
   */
  onEvent: function (eventId) {
    cordova.exec(null, null, "Umeng", "onEvent", [eventId]);
  },
  /**
   * 自定义事件数量统计
   *
   * @param eventId
   *            String类型.事件ID， 注意需要先在友盟网站注册此ID
   * @param eventLabel
   *            String类型.事件标签，事件的一个属性说明
   */
  onEventWithLabel: function (eventId, eventLabel) {
    cordova.exec(null, null, "Umeng", "onEventWithLabel", [eventId, eventLabel]);

  },
  /**
   * 自定义事件数量统计
   *
   * @param eventId
   *            String类型.事件ID， 注意需要先在友盟网站注册此ID
   * @param eventData
   *            Dictionary类型.当前事件的属性集合，最多支持10个K-V值
   */
  onEventWithParameters: function (eventId, eventData) {
    cordova.exec(null, null, "Umeng", "onEventWithParameters", [eventId, eventData]);

  },
  /**
   * 自定义事件数值型统计
   *
   * @param eventId
   *            String类型.事件ID，注意要先在友盟网站上注册此事件ID
   * @param eventData
   *            Dictionary类型.事件的属性集合，最多支持10个K-V值
   * @param eventNum
   *            int 类型.事件持续时长，单位毫秒，您需要手动计算并传入时长，作为事件的时长参数
   *
   */
  onEventWithCounter: function (eventId, eventData, eventNum) {
    cordova.exec(null, null, "Umeng", "onEventWithCounter", [eventId, eventData, eventNum]);

  },
  /**
   * 页面统计开始时调用
   *
   * @param pageName
   *            String类型.页面名称
   */
  onPageBegin: function (pageName) {
    cordova.exec(null, null, "Umeng", "onPageBegin", [pageName]);
  },
  /**
   * 页面统计结束时调用
   *
   * @param pageName
   *            String类型.页面名称
   */
  onPageEnd: function (pageName) {
    cordova.exec(null, null, "Umeng", "onPageEnd", [pageName]);

  },
  /**
   * 获取IOS UUID
   */
  getDeviceId: function (callBack) {
    cordova.exec(callBack, null, "Umeng", "getDeviceId", []);

  },
  /**
   * 统计帐号登录接口 *
   *
   * @param UID
   *            用户账号ID,长度小于64字节
   */
  profileSignInWithPUID: function (UID) {
    cordova.exec(null, null, "Umeng", "profileSignInWithPUID", [UID]);
  },
  /**
   * 统计帐号登录接口 *
   *
   * @param provider
   *            帐号来源.用户通过第三方账号登陆,可以调用此接口进行统计.不能以下划线"_"开头,使用大写字母和数字标识,长度小于32字节;
   *            如果是上市公司,建议使用股票代码.
   * @param UID
   *            用户账号ID,长度小于64字节
   */
  profileSignInWithPUIDWithProvider: function (provider, UID) {
    cordova.exec(null, null, "Umeng", "profileSignInWithPUIDWithProvider", [provider, UID]);

  },
  /**
   * 帐号统计退出接口
   */
  profileSignOff: function () {
    cordova.exec(null, null, "Umeng", "profileSignOff", []);
  },
};

module.exports = Umeng;

});
